extends VoxelGI

func _ready() -> void:
	# toggle according to the singleton settings.
	visible = PerformanceSettingsSingleton.voxel_gi_enabled
	PerformanceSettingsSingleton.voxel_gi_changed.connect(_on_voxel_gi_changed)
	
func _on_voxel_gi_changed(enabled: bool):
	visible = enabled
